//
//  matrices.h
//  matricesStructuresAllocationDynamique
//
//  Created by soldano on 14/09/2014.
//  Copyright (c) 2014 soldano. All rights reserved.
//
// primitives de calcul matriciel avec structures

#ifndef __matricesStructuresAllocationDynamique__matrices__
#define __matricesStructuresAllocationDynamique__matrices__

#include <stdio.h>
#include <stdlib.h>

/*type */
struct Matrice{
    int  **t;
    int nl;
    int nc;
} ;
typedef struct Matrice matrice_t;

/* prototypes */

matrice_t construitMatrice(int nl, int nc);
matrice_t dupliqueMatrice(matrice_t m);
matrice_t lireMatrice(int nl, int nc);
void afficheMatrice(matrice_t m);
matrice_t produitMatrices(matrice_t m1, matrice_t m2);
matrice_t sommeMatrices(matrice_t m1, matrice_t m2);
matrice_t transpose(matrice_t m);
void detruitMatrice(matrice_t m);

#endif /* defined(__matricesStructuresAllocationDynamique__matrices__) */
